=== debian/changelog ===
cdbs (0.4.52-maemo1) unstable; urgency=low

  * Drop extra dependencies to grapviz, ant, kaffe, etc
  * Don't generate docs (we don't want the extra dependencies)
  * Don't do testing (because all the python stuff won't be available
    anyway, we support only python 2.5)

 -- Jonas Hurrelmann <j@outpo.st>  Tue, 19 Aug 2008 06:05:26 +0200
