## cdbs 0.4.52-maemo2

=== test/Makefile ===
--- 
+++ 
@@ -44,11 +44,11 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run aclocal-1.9
-AMTAR = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run tar
-AUTOCONF = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run automake-1.9
+ACLOCAL = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run aclocal-1.9
+AMTAR = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run tar
+AUTOCONF = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run automake-1.9
 AWK = gawk
 CYGPATH_W = echo
 DEFS = -DPACKAGE_NAME=\"cdbs\" -DPACKAGE_TARNAME=\"cdbs\" -DPACKAGE_VERSION=\"something\" -DPACKAGE_STRING=\"cdbs\ something\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"cdbs\" -DVERSION=\"something\"
@@ -65,7 +65,7 @@
 MAINT = #
 MAINTAINER_MODE_FALSE = 
 MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run makeinfo
 PACKAGE = cdbs
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cdbs
@@ -81,7 +81,7 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build_alias = arm-linux-gnueabi
+build_alias = i486-linux-gnu
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
@@ -91,7 +91,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${prefix}/share/info
-install_sh = /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/install-sh
+install_sh = /home/marijn/outside/kde/packages/cdbs-0.4.52/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${prefix}/lib/cdbs
 localedir = ${datarootdir}/locale
