=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Svn: svn://svn.debian.org/build-common/
 
 Package: cdbs
-Architecture: all
+Architecture: any
 Conflicts: build-common
 Depends: debhelper (>= 5.0.30)
 Recommends: autotools-dev
