=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILDDIR=build
include debian/testsuite.mk
include $(_cdbs_package_root_dir)/1/rules/debhelper.mk.in
include $(_cdbs_package_root_dir)/1/class/autotools.mk.in
