## cdbs 0.4.59ubuntu4

=== debian/changelog ===
cdbs (0.4.59ubuntu4) karmic; urgency=low

  * 1/class/autotools-vars.mk: Apply patch from Peter Eisentraut to avoid
    setting CC and CXX if they have empty or default values, to ease
    cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Oct 2009 15:27:42 +0100

cdbs (0.4.59ubuntu3) karmic; urgency=low

  * Do not strip locale specific default values from gconf schema files:
    - Add strip-schema.pl: Replacement for the previous seddery, which wasn't
      powerful enough to just remove <short>/<long> tags from non-C <locale>
      tags, but keep <default> values.
    - Makefile.am: Install strip-schema.pl into pkglibdir.
    - 1/rules/langpack.mk.in: Drop seddery, use strip-schema.pl instead.
    - LP: #443133

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Oct 2009 19:12:51 +0200

cdbs (0.4.59ubuntu2) karmic; urgency=low

  * debian/control: Drop Kaffe build-dep as it is not in main (LP: #415898)
  * test/Makefile.am: Disable ant-1 test; this was inactive prior to 0.4.57
    and now causes build failures due to Kaffe being dropped 

 -- Iain Lane <laney@ubuntu.com>  Wed, 19 Aug 2009 13:08:44 +0100

cdbs (0.4.59ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #414791), remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in: 
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:  
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
    - 1/class/python-distutils.mk.in:
      + Supply --install-layout=deb install argument, to install files into
        /usr instead of /usr/local/.
      + Rename dist-packages/ to site-packages/ again, so that packages which
        expect setup.py to install to site-packages/ and depend on that in
        their dh_install files don't break. dh_py* will take care of the final
        renaming.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files and add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files. Install file in Makefile.am. Add intltool dependency for this.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables.
  * Revert changes in Debian r383 (relaxed versioned build-deps when satisfied
    in Lenny) - some of these build-deps are still required for Dapper.
  
 -- Iain Lane <laney@ubuntu.com>  Thu, 23 Jul 2009 20:07:17 +0100

cdbs (0.4.59) unstable; urgency=low

  * Defer setting DEB_BUILD_DEPENDENCIES in buildcore.mk (use ?= not =),
    to respect prior override. Closes: bug#205395, thanks to Robert
    Jordens, and to Joachim Breitner for reviving.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jul 2009 18:49:44 +0200

cdbs (0.4.58) unstable; urgency=high

  * Revert change in 0.4.57 ensuring post-patches finished before
    configure in autotools.mk: Causes configure to be invoked again
    after build.
  * Set urgency=high as this cause FTBFS for packages not supporting
    multiple configure runs (see bugs #537011, #536992, #536963).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2009 20:31:47 +0200

cdbs (0.4.57) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Have debhelper.mk build-depend on cdbs 0.4.53 or newer for DH v7.
  * Relax build-dependencies (e.g. drop versioning when satisfied in
    oldstable and not explicitly required by policy):
    + keep old versioning for perl (required by policy)
    + relax slightly versioning for python
    + drop some old versionings for debhelper, gnulib, type-handling,
      cdbs and patchutils
  * Adjust gnome.mk to extend build-dependencies after including classes
    which initialize them.
  * Append trunk in Vcs-* stanzas of debian/control, and use viewsvn
    (not vswn) in Vcs-Browser stanza.  Closes: bug#531692.
  * Build-depend on python-all-dev (not python2.4-dev or python2.5-dev),
    and generalize python-distutils tests to try all available versions
    of python.  Closes: bug#525855, thanks to Martin Pitt.
  * Use $(filter ...) instead of $(findstring ...) to extract space-
    separated options from DEB_BUILD_OPTIONS in debian/rules.
  * Fix autotools.mk not completing all dependencies of post-patches
    before doing configure.
  * Fix doc-base section (Debian, not Programming). Closes: bug#532193,
    thanks to Drew Parsons.

