## cdbs 0.4.62+nmu1ubuntu9

=== test/i18n/po/Makefile ===
GETTEXT_PACKAGE=cdbstest
