=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils, lzma
+Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, default-jdk, sharutils, gs-common, texlive-font-utils, lzma
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.3
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs
