## cdbs 0.4.83ubuntu2

=== debian/changelog ===
cdbs (0.4.83ubuntu2) maverick; urgency=low

  * 1/rules/langpack.mk.in:
    - Make .policy files use gettext

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:57:53 +1000

cdbs (0.4.83ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in:
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files, add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files, and strip translations from gconf schemas. Install file in
      Makefile.am. Add intltool dependency for this.
    - Add strip-schema.pl: Script to remove translations from gconf schemas.
      Install it in Makefile.am.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log (LP #509249)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables. (LP #137827)
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
    - Add test/i18n: New test package for testing i18n. For now, ship a couple
      of .desktop files in different variants (simple, with translations, with
      initial empty line, with multiple sections).
    - Add test/langpack-1.mk: Verify that langpack.mk's translation stripping
      and domain addition works in all four cases above.
  * debian/control: Drop the versioned build dependency on cdbs, since we do
    not have a newer version yet in maverick.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 May 2010 12:57:06 +0200

cdbs (0.4.83) unstable; urgency=medium

  * Drop support for variables DEB_*_MAKE_TARGET and
    DEB_MAKE_TEST_TARGET, deprecated for ages.  Fixes accidentally
    disabled regression tests in perl-* classes.
  * Enable verbose output for regression tests in class
    perl-makemaker.mk.
  * Fix support multiword CC or CXX (broken since 0.4.77), and really
    support cross-building (as intended in 0.4.77).
    Closes: bug#576967, #578303, thanks to Peter Eisentraut for
    insisting, and to Anders Kaseorg for solving.
  * Set urgency=medium as broken CC/CXX multiword support causes FTBFS
    of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Apr 2010 10:56:31 +0200

cdbs (0.4.82) unstable; urgency=low

  * Fix strip repackaging tag when DEB_UPSTREAM_REPACKAGE_EXCLUDES is
    set (not deprecated DEB_UPSTREAM_REPACKAGE_EXCLUDE), in upstream-
    tarball.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Apr 2010 11:31:11 +0200

cdbs (0.4.81) unstable; urgency=low

  * Fix install arch-all packages part of arch-all+arch-any multilib
    packaging in python-distutils.mk (broken since 0.4.72). Closes:
    bug#577580, thanks to Yaroslav Halchenko.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 02:16:58 +0200

cdbs (0.4.80) unstable; urgency=low

  * Fix build-dependency variable name in perl-build.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 21:26:44 +0200

cdbs (0.4.79) unstable; urgency=low

  * Tighten build-dependency on cdbs in perl-build.mk, due to 0.4.78
    bugfix.
  * Fix build-dependency variable name in perl-vars.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 17:02:21 +0200

cdbs (0.4.78) unstable; urgency=low

  * Fix silence build-dependency resolving rule in buildcore.mk
    (leftover from debugging session).
  * Fix drop packlist files without failing with non-default
    DEB_PERL_DESTDIR.
  * Add TODO file with ideas for 2nd epoch (i.e. /usr/share/cdbs/2/*).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 15:18:18 +0200

cdbs (0.4.77) unstable; urgency=low

  * Fail the fail-source-not-repackaged rule (in addition to get-orig-
    source) if old DEB_UPSTREAM_REPACKAGE_EXCLUDE is declared, in
    upstream-tarball.mk.
  * Fix check excluded directories (not files twice) in the fail-source-
    not-repackaged rule, in upstream-tarball.mk.
  * Support cross-building: Avoid setting CC or CXX in autotools.mk
    except if explicitly declared, and set CC="-gcc" in makefile.mk when
    cross-building. Closes: bug#450483, thanks to Neil Williams


