=== debian/control ===
--- 
+++ 
@@ -3,9 +3,31 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, default-jdk, sharutils, gs-common, texlive-font-utils, lzma
+Build-Depends-Indep: devscripts (>= 2.10.7~),
+ cdbs,
+ dh-buildinfo,
+ debhelper (>= 6),
+ graphviz,
+ realpath,
+ fakeroot,
+ python-dev,
+ python-all-dev,
+ python-central,
+ python-support,
+ libxml2-utils,
+ xsltproc,
+ docbook-xml,
+ docbook-xsl,
+ dblatex,
+ ant,
+ default-jdk,
+ sharutils,
+ gs-common,
+ texlive-font-utils | texlive-extra-utils (<< 2009),
+ lzma,
+ devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs
