=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f 
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2002,2003 Colin Walters <walters@debian.org>
+# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -13,17 +14,20 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307 USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # cdbs uses itself to build itself.
 _cdbs_rules_path = 1/rules
 _cdbs_class_path = 1/class
+_cdbs_scripts_path = scripts
 _cdbs_makefile_suffix = .in
 
+include 1/rules/utils.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
+
+# Suppress build-dependency on ourselves
+CDBS_BUILD_DEPENDS_rules_buildvars =
 
 DEB_MAKE_CHECK_TARGET = check
