## cdbs 0.4.89

=== debian/changelog ===
cdbs (0.4.89) unstable; urgency=low

  * Stop conflicting against ancient/bogus build-common.
  * Fix and simplify dh_buildinfo support: Invoke in debhelper (not
    utils) snippet, limited to each binary package.
    Closes: bug#590601. Thanks (again) to Michael Biebl.
  * Fix ensure makefile-vars.mk is usable without makefile.mk: add
    simpler fallback for cdbs_make_curbuilddir.
    Closes: bug#596950. Thanks to Lucas Nussbaum and others.
  * Add TODO item: Mention replacement variable in deprecation warnings.
  * Fix tighten copyright-check auto-resolved build-dependency on cdbs.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2010 11:00:25 +0200

cdbs (0.4.88) unstable; urgency=medium

  * Fix only optionally-declare ( using ?= ) DEB_COPYRIGHT_CHECK_STRICT,
    to allow early override.
  * Suppress sole delimiter in cdbs_expand_curvar function.
    Closes:bug#590806, thanks to Kris Shannon.
  * Fix invoke dh_buildinfo after dh_installdocs and dh_link.
    Closes: bug#590601, thanks to Axel Beckert, Michael Biebl and Simon
    McVittie.
  * Bump Policy compliance to standards-version 3.9.1.
  * Set urgency=medium as this fixes FTBFS of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 11:07:59 -0400

cdbs (0.4.87) unstable; urgency=low

  * Fix strip trailing comma in autoresolved build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 18:35:02 +0200

cdbs (0.4.86) unstable; urgency=high

  * Fix space-separate variables expanded via cdbs_expand_curvar.
    Closes: bug#586742, thanks to Yves-Alexis Perez and others.
  * Raise to severity=high, as above caused FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 11:23:07 +0200

cdbs (0.4.85) unstable; urgency=low

  * Per-package variables in buildcore.mk and debhelper.mk now generally
    use the following scheme:
    + VAR_ALL applies to all packages
    + VAR_<package> applies to current package
    + VAR_DEFAULT applies to current package if VAR_pkg is empty
    Use of VAR without "suffix" for per-package variables is now
    deprecated, except for a few cases marked as TODO in those files.
    Closes: bug#582693, thanks to Rudy Godoy.
  * Really fix suppress build-dependency on ourself (not only relax
    versioning).
  * Introduce new convenience variable cdbs_python_primary_version.
  * Fix use dh_prep with debhelper 7 and newer (not only newer than 7).
    Closes: bug#586616, thanks to Nelson A. de Oliveira.
  * Fix double expansion of CDBS_DEPENDS (possibly the cause of
    occasional spurious extra comma in build-dependencies).
  * Deprecate dpatch.mk, simple-patchsys.mk and tarball.mk, suggesting
    source format 3.0 as alternative.
  * Add NEWS entry about new per-package variable scheme and deprecated
    snippets.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jun 2010 16:57:59 +0200

cdbs (0.4.84) unstable; urgency=low

  * Improve copyright file:
    + Rewrap license sections Expat and other-X.
    + Add comment on Expat variation.
  * Fix suppress build-dependency on ourselves.
  * Add TODO on a way to fix bug#207775 in 2nd epoch.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 16:12:02 +0200
