=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: devscripts (>= 2.10.7~),
- cdbs,
+Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Build-Depends-Indep: debhelper (>= 6),
  dh-buildinfo,
- debhelper (>= 6),
  graphviz,
  realpath,
  fakeroot,
@@ -27,13 +24,13 @@
  lzma,
  devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.8.4
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/collab-maint/cdbs.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/cdbs.git;a=summary
 
 Package: cdbs
 Architecture: all
-Conflicts: build-common
-Depends: debhelper (>= 5.0.30), fdupes, intltool
+Depends: debhelper (>= 5.0.30)
 Recommends: autotools-dev
 Suggests: devscripts, doc-base
 Description: common build system for Debian packages
